Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452735 - mozplugger does not work with mplayer, totem, selinux, confined domains
Summary: mozplugger does not work with mplayer, totem, selinux, confined domains
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozplugger
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 17:56 UTC by Carl Roth
Modified: 2009-08-20 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-20 15:23:15 UTC


Attachments (Terms of Use)

Description Carl Roth 2008-06-24 17:56:16 UTC
Description of problem:

I tried using the mozplugger firefox plugin on a system with selinux enforcing
mode...  When I turned on the 'allow_unconfined_nsplugin_transition' boolean it
prevented mozplugger from running.  In my case, the problem was that
mozplugger+mplayer could not read mplayer_etc_t files.  Mplayer runs unconfined
on my system (no additional domain transition), so a possible fix would be as
follows:

gen_require(`
  type mplayer_etc_t;
')
read_files_pattern(nsplugin_t, mplayer_etc_t, mplayer_etc_t)

I'm also seeing denials for totem (nsplugin_t --> unconfined_dbusd_t) but I'll
volunteer that this is probably a leaked FD from my ldap auth setup.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-64.fc9.noarch
mplayer-1.0-0.94.20080531svn.lvn9.x86_64
nspluginwrapper-0.9.91.5-27.fc9.x86_64
nspluginwrapper-0.9.91.5-27.fc9.i386
mozplugger-1.10.1-1.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2008-06-29 12:25:33 UTC
Fixed in selinux-policy-3.3.1-73.fc9.noarch

Comment 2 Bug Zapper 2009-06-10 01:46:12 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.